
server {
    listen       443 ssl http2;
    listen       [::]:443 ssl http2;
    server_name  moodle.windymuse.site;

    ssl_certificate /ssl/fullchain.crt;
    ssl_certificate_key /ssl/private.pem;

    ssl_session_timeout  10m;
    ssl_ciphers HIGH:!aNULL:!MD5;
    ssl_prefer_server_ciphers on;
    client_max_body_size 100m;
    
    location / {
        proxy_pass http://192.168.31.249:8180;
    } 
}
